/**
 Created by Evalds on 24/05/2017.

 Node 7.x version

 Dependencies to install:
 npm install -g nodemon babel babel-cli babili

 Useful links:

 https://github.com/babel/babili
 https://github.com/babel/example-node-server

 https://github.com/brianc/node-postgres
 https://github.com/langpavel/node-pg-async

 https://www.npmjs.com/package/config

 http://es6-features.org/#ClassDefinition

 https://www.npmjs.com/package/winston

 run command: npm start
 build command: npm run build
*/

const path = require('path');

//Need for windows service mode
process.chdir(path.join(__dirname, ".."));

const WindowsService = require('./common/WindowsService');
const ClientServer = require('./controllers/ClientServer');

let cs = null;

let is_start_server = true;
if(process.argv.length >= 2) {

    console.log('windows_service_mode', process.argv, process.argv.length);
    let windowsService = new WindowsService('chromsword-client-server-5-5-356-984', 'ChromSword ClientServer 5.5');

    for(let argServ of process.argv) {
        if (argServ === '--add') {
            windowsService.register();
            is_start_server = false;
        }
        else if (argServ === '--remove') {
            windowsService.remove();
            is_start_server = false;
        }
        else if (argServ === '--run') {
            windowsService.run();
        }
    }
}

if(is_start_server)
{
    console.log('is_start_server ClientServer');
    cs = new ClientServer();
}