/**
 * Created by Evalds on 25/05/2017.
 */

module.exports = class DateTimeUtils {
    static combine(date, time) {
        let dateTime = new Date();

        dateTime.setDate(date.getDate());
        dateTime.setMonth(date.getMonth());
        dateTime.setFullYear(date.getFullYear());

        let parts = time.split(':');
        dateTime.setHours(parseInt(parts[0]));
        dateTime.setMinutes(parseInt(parts[1]));
        dateTime.setSeconds(parseInt(parts[2]));

        return dateTime;
    }

    static addDays(date, days) {
        var result = new Date(date);
        result.setDate(result.getDate() + days);
        return result;
    }

    static getDateWithTimeZoneCorrelation(selectedDate){
        try {
            if (selectedDate === '' || selectedDate === null) {
                return '';
            }
            let date = new Date(selectedDate);
            var tzoffset = date.getTimezoneOffset() * 60000; //offset in milliseconds
            return (new Date(date - tzoffset)).toISOString().slice(0, -1);
        }
        catch(exc) {}
        return '';
    }

    static getTimeLocalString(date){
        let hours = date.getHours();
        let mins = date.getMinutes();
        let secs = date.getSeconds();
        let milliseconds = date.getMilliseconds();

        //format hours ##
        if(hours < 10) {
            hours = '0' + hours.toString();
        }
        if(mins < 10) {
            mins = '0' + mins.toString();
        }
        if(secs < 10) {
            secs = '0' + secs.toString();
        }

        return `${hours}:${mins}:${secs}.${milliseconds}`;
    }
}
