const logger = require('../common/Logger');
const _ = require('lodash');

module.exports = class LoggerUtils {
    static logRequest(request) {
        try {
            //Remove huge parts for logging
            request = _.clone(request);
            if(request !== undefined) {
                if (request.file !== undefined) {
                    request.file = '[truncated]';
                }
                if(request.report !== undefined) {
                    if (request.report.file !== undefined) {
                        request.report.file = '[truncated]';
                    }
                }
            }
            logger.info(JSON.stringify(request, null, 4));
        }
        catch (e) {
            if (process.env.ENV === 'development') {
                console.error(e);
            }
        }
    }
}
