/**
 * Created by Evalds on 24/05/2017.
 */

const logger = require('../common/Logger');
const pgAsync = require('../utils/Database');
const SQL = require('pg-async').SQL;
const RolesInstrumentsController = require('../controllers/RolesInstrumentsController');
const RolesProjectGroupsController = require('../controllers/RolesProjectGroupsController');
const CodeUtils = require('../utils/CodeUtils');
const GeneralUtils = require('../utils/GeneralUtils');
const i18n = require('../utils/i18n');
const _ = require('lodash');

module.exports = class SettingsController {

    static get Default() {
        return {
            settings_id: 0,
            settings_name: '',

            settings_value: false,
            user_id: false,
            created: false,
            modified: false
        }
    }

    static async getAll(){
        let settings = {};
        try {
            let settings_rows = await pgAsync.rows(`SELECT * FROM settings;`);
            for(let each of settings_rows)
            {
                settings[each.settings_name] = each.settings_value;
                try {
                    const intVal = parseInt(each.settings_value);
                    if(!isNaN(intVal)) {
                        settings[each.settings_name] = intVal;
                    }
                }
                catch (exc) {

                }
            }
        }
        catch (exc)
        {
            logger.error('SettingsController.getAll');
            logger.error(exc);
        }
        return settings;
    }

    static async saveAll(settings) {
        let result = false;
        try {
            for(let each in settings)
            {
                let sql = SQL`UPDATE settings SET settings_value = ${settings[each]} WHERE settings_name = ${each};`;
                await pgAsync.query(sql);
            }
            result = true;
        }
        catch (e) {
            logger.error('SettingsController.saveAll');
            logger.error(e);
        }
        return result;
    }

}
