const logger = require('../common/Logger');
const pgAsync = require('../utils/Database');
const SQL = require('pg-async').SQL;
const CodeUtils = require('../utils/CodeUtils');

module.exports = class UsersInstrumentsController{
    static getTableName(){
        return 'users_instruments';
    }

    static async create(user_id, user_instruments, user)
    {
        return await CodeUtils.createMany2Many('user_id', user_id, 'instrument_id', user_instruments, 'users_instruments', user)
    }

    static async update(user_id, user_instruments, user)
    {
        let existing_instruments = await CodeUtils.getForMany2Many(user_id, 'users_instruments', 'user_id', 'instruments', 'instrument_id');
        await CodeUtils.updateMany2Many(user_id, user_instruments, user, existing_instruments, this.delete, this.create);

    }

    static async delete(user_id, instrument_id, user)
    {
        let options = {
            sub_item_name: 'instrument_id',
            sub_item_id: instrument_id
        };
        await CodeUtils.delete('user_id', user_id, user, 'users_instruments', options);
        return true;
    }

    static async isInstrumentUsing(id){
        try
        {
            var is_uniq = await CodeUtils.isUniqFieldData(this.getTableName(), 'instrument_id', id);
        }
        catch (exc)
        {
            logger.error('UsersInstrumentsController.isInstrumentUsing');
            logger.error(exc);
        }

        return is_uniq;
    }
}
