const logger = require('../common/Logger');
const pgAsync = require('../utils/Database');
const SQL = require('pg-async').SQL;
const CodeUtils = require('../utils/CodeUtils');

module.exports = class UsersProjectGroupsController{
    static async create(user_id, user_project_groups, user)
    {
        return await CodeUtils.createMany2Many('user_id', user_id, 'project_group_id', user_project_groups, 'users_project_groups', user)
    }

    static async update(user_id, user_project_groups, user)
    {
        let existing_instruments = await CodeUtils.getForMany2Many(user_id, 'users_project_groups', 'user_id', 'project_groups', 'project_group_id');
        await CodeUtils.updateMany2Many(user_id, user_project_groups, user, existing_instruments, this.delete, this.create);

    }

    static async delete(user_id, project_group_id, user)
    {
        let options = {
            sub_item_name: 'project_group_id',
            sub_item_id: project_group_id
        };
        await CodeUtils.delete('user_id', user_id, user, 'users_project_groups', options);
        return true;
    }
}
