module.exports = {
    'event_login_successful': 'Successful login attempt: {request.username}',
    'event_login_unsuccessful': 'Unsuccessful login attempt: {request.username}',
    'event_create_project': 'Project "{project.name}" created',
    'event_update_project': 'Project "{project.name}" updated',
    'event_start_project': 'Project execution "{project.name}" started',
    'event_finish_project': 'Project execution "{project.name}" finished',
    'event_create_report': 'Report "{report.name}" created',
    'event_update_report': 'Report "{report.name}" updated',
    'role_using': 'Cannot delete role. It is assigned to some user in system.',
    'access_error_project': 'Cannot access this project. Check user rights in ChromSword ClientServer.',
    'access_error_report': 'Cannot access this report. Check user rights in ChromSword ClientServer.',
    'access_error_missing_instrument': 'Instrument with PC name "{pc_name}" is not configured in ChromSword ClientServer. Configure it using ChromSword AdminConsole.',
    'access_error_instrument': 'Cannot access instrument with PC name "{pc_name}". Check user rights in ChromSword ClientServer using ChromSword AdminConsole.',
    'duplicated_role_name': 'Duplicated role name',
    'name_exist': 'Chosen name already exist',
    'empty_password': 'Password can not be empty',
    'duplicated_username': 'Username already in use',
    'cant_delete_yourself': 'You can not delete yourself',
    'cant_change_access_level_yourself': 'You can not change access level to yourself',
    'server_error': 'Server error',
    'unacceptable_password': 'Password length must be from 8 to 32 symbols, contain at least one uppercase, one lowercase symbol, one number and one of special symbols:  ~ ! @ # $ % ^ * ( ) _ - + = { } [ ] | : ; " , ?',
    'old_and_new_pass_equals': 'New password must different from old one',
    'user_created': 'User "{user.username}" created',
    'user_updated': 'User "{user.username}" updated',
    'user_deleted': 'User "{user.username}" deleted',
    'user_failed_to_edit': 'User "{user.username}" edit operation failed: {error}',
    'update_expired_password': 'User "{user.username}" update expired password',
    'role_created': 'Role "{role.name}" created',
    'role_updated': 'Role "{role.name}" updated',
    'role_deleted': 'Role "{role.name}" deleted',
    'duplicate_project_name': 'Project name already used in chosen project group. Please enter different project name.',
    'project_group_name_already_exists': 'Project group name already exists',
    'project_group_created': 'Project group "{projectGroup.name}" created',
    'project_group_updated': 'Project group "{projectGroup.name}" updated',
    'project_group_deleted': 'Project group "{projectGroup.name}" deleted',
    'project_group_using': 'Can not delete project group. There is at least one existing project in this project group',
    'project_deleted': 'Project "{project.name}" deleted',
    'cant_find_file_on_a_server': 'Can not find file on a server',
    'instrument_created': 'Instrument "{instrument.name}" created',
    'instrument_updated': 'Instrument "{instrument.name}" updated',
    'instrument_deleted': 'Instrument "{instrument.name}" deleted',
    'duplicated_instrument_name': 'Duplicated instrument name',
    'instrument_using_in_project': 'Instrument is using in project',
    'instrument_using_in_users': 'Instrument is using in users',
    'instrument_using_in_roles': 'Instrument is using in roles',
    'duplicated_report_name': 'Duplicated report name',
    'no_file_connected_with_current_item': 'No file connected with current item',
    'wrong_old_pass': 'Old password incorrect',
    'such_instrument_already_exist': 'Such instrument already exist',
    'users_list': 'users_list',
    'audit_trail_list': 'audit_trail_list',
    'roles_list': 'roles_list',
    'instruments_list': 'instruments_list',
    'project_groups_list': 'project_groups_list',
    'projects_list': 'projects_list',
    'reports_list': 'reports_list',
    'id': 'ID',
    'name': 'Name',
    'description': 'Description',
    'program': 'Program',
    'project': 'Project',
    'count_sequences': 'Sequences',
    'count_runs': 'Runs',
    'is_failed': 'Is failed',
    'is_finished': 'Is finished',
    'modified_user': 'Modified user',
    'modified_date': 'Modified date',
    'modified_time': 'Modified time',
    'created_user': 'Created user',
    'created_date': 'Created date',
    'created_time': 'Created time',
    'project_group': 'Project group',
    'instrument': 'Instrument',
    'pc_name': 'PC name / IP address',
    'vendor': 'Vendor',
    'can_manage_users': 'Manage users',
    'can_access_admin_console': 'Access admin console',
    'instruments': 'Instruments',
    'project_groups': 'Project groups',
    'username': 'Username',
    'password_date': 'Password expired date',
    'password_time': 'password expired time',
    'roles': 'Roles',
    'timestamp': 'Timestamp',
    'type': 'Type',
    'user': 'User',
    'message': 'Message',
    'project_file_revision': 'Project file revision',
    'project_name': 'Project',
    'report_file_revision': 'Report file revision',
    'report_name': 'Report name',
    'project_file_on_server': 'Project file on server',
    'report_file_on_server': 'Report file on server',
    'yes': 'Yes',
    'no': 'No',
    'all': 'All',
    'access_denied': 'Access denied',
    'firstname': 'Firstname',
    'surname': 'Surname',
    'job_title': 'Job title',
    'success': 'Success',
    'Warning': 'Warning',
    'Error': 'Error',
    'project_updated': 'Project "{project.name}" updated',
    'report_updated': 'Report "{report.name}" updated',
    'report_deleted': 'Report "{report.name}" deleted',
    'project_accessed': 'Project "{project.name}" opened',
    'project_accessed_failed': 'Tried to open project "{project.name}" without access',
    'report_accessed': 'Report "{report.name}" opened',
    'report_accessed_failed': 'Tried to open report "{report.name}" without access'
};
