const _ = require('lodash');

module.exports = class GeneralUtils {
    static getOrderBy(sort,  options){

        let actual = _.defaults(options || {}, {
            default_sort : 'id',
            lower_column: ['name'],
            change_columns: [],  // [{console_name: '', server_name: ''}, ...]
            table_name: ''
        });

        if(actual.table_name.length > 0){
            if(actual.table_name.slice(-1) !== '.'){
                actual.table_name += '.';
            }
        }

        let order_by = '';

        if(sort.length === 0){
            if(actual.default_sort === 'date'){
                order_by = 'ORDER BY ' + actual.table_name + 'created_date DESC, ' + actual.table_name + 'created_time DESC';
            }
            else{
                order_by = 'ORDER BY ' + actual.table_name + 'id DESC';
            }

        }
        else{
            order_by = 'ORDER BY ';
            for(let column of sort){
                if(actual.change_columns.length > 0){
                    for(let change_column of actual.change_columns){
                        if(column.sortColumn === change_column.console_name){
                            column.sortColumn = change_column.server_name;
                        }
                    }
                }

                if(actual.lower_column.indexOf(column.sortColumn) !== -1 ){
                    order_by += 'LOWER(' + actual.table_name + column.sortColumn + ') ' + column.sortDirection;
                }
                else{
                    if(column.sortColumn === 'created_formated'){
                        order_by += 'created_date ' + column.sortDirection;
                        order_by += ', created_time ' + column.sortDirection;
                    }
                    else if (column.sortColumn === 'concat_instrument_names') {
                        order_by += 'can_access_all_instruments ' + (column.sortDirection === 'asc' ? 'DESC' : 'ASC');
                        order_by += ', ' + column.sortColumn + ' ' + column.sortDirection;
                    }
                    else if (column.sortColumn === 'concat_project_group_names') {
                        order_by += 'can_access_all_project_groups ' + (column.sortDirection === 'asc' ? 'DESC' : 'ASC');
                        order_by += ', ' + column.sortColumn + ' ' + column.sortDirection;
                    }
                    else{
                        order_by += column.sortColumn + ' ' + column.sortDirection;
                    }
                }
            }
        }
        return order_by;
    }
}
